Skip to main content
Topic solved
This topic has been marked as solved and requires no further attention.
Topic: Peerguardian (Read 171 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

Peerguardian

Hello,
and thank you for this beautiful distribution.
 I need some old application, but it has been very important to me.
 I tried to compile peerguardian from AUR, without sucess. It depends on qt4, qt4 compiled without problems.
 
Quote
checking for rcc... rcc
checking for lupdate... no
checking for lupdate5... no
checking for lupdate-qt5... no
configure: error: Qt lupdate Compiler not found!
==> ERROR: A failure occurred in build().

collect2: error: ld returned 1 exit status
make[2]: *** [Makefile:554: pgld] Error 1
make[2]: Leaving directory '/home/linux/.cache/yay/pgl/src/pgl-2.3.1/pgld'
make[1]: *** [Makefile:549: all-recursive] Error 1
make[1]: Leaving directory '/home/linux/.cache/yay/pgl/src/pgl-2.3.1'
make: *** [Makefile:460: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
error making: pgl
Please, I need this app, it's very unique and valuable to me. Thank you.



Re: Peerguardian

Reply #3
did you read  the comments? second comment contains link for fixed version ( PKGBUILD)


Re: Peerguardian

Reply #5
but you need nothing patching, you should just use this PKGBUILD https://github.com/eserlxl/pgl-git-AUR-Patches/blob/main/PKGBUILD-fixed

edit2: whoever wrote the PKGBUILD, he really can not write PKGBUILD as well as he can not assemble patch

working PKGBUILD and patch:

https://raw.githubusercontent.com/alium/share/master/pgl/PKGBUILD
https://raw.githubusercontent.com/alium/share/master/pgl/pgld-gcc10fix.patch

Re: Peerguardian

Reply #6
configure: error: Qt lupdate Compiler not found!

Thank you.

Re: Peerguardian

Reply #7
but you need nothing patching, you should just use this PKGBUILD https://github.com/eserlxl/pgl-git-AUR-Patches/blob/main/PKGBUILD-fixed

edit2: whoever wrote the PKGBUILD, he really can not write PKGBUILD as well as he can not assemble patch

working PKGBUILD and patch:

https://raw.githubusercontent.com/alium/share/master/pgl/PKGBUILD
https://raw.githubusercontent.com/alium/share/master/pgl/pgld-gcc10fix.patch

my PKGBUILD works without error with qt5, tested by myself.
if you have something wrong set up in the system or a mess in the settings, I am not responsible for that  8)  ;)


Re: Peerguardian

Reply #9
I normally do not do this - so consider this a rare exception - but I have added the pgl-git package to the Ominverse repo, which can be added as per https://wiki.artixlinux.org/Main/UnofficialUserRepositories
I have not tested it, so use it at your own risk.

Thank you very much. It seems that it works.

Be sure to add usr/bin/pkexec as sudo front-end.